package djmil.cordacheckers.cordaclient.dao;

import java.util.Map;
import java.util.UUID;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

@JsonDeserialize
public record GameBoard(
    String      opponentName,
    Piece.Color opponentColor,
    Boolean     opponentMove,
    Map<Integer, Piece> board,
    GameBoardCommand previousCommand,
    String message,
    UUID id) implements CordaState {

}
